| 0.9.7

- Main Page
- Modules
- Files

- File List

Typedefs
number_precision.hpp File Reference

Go to the source code of this file.

## Typedefs
typedef f32 | f32mat1
typedef f32 | f32mat1x1
typedef f32 | f32vec1
typedef f64 | f64mat1
typedef f64 | f64mat1x1
typedef f64 | f64vec1
typedef u16 | u16vec1
typedef u32 | u32vec1
typedef u64 | u64vec1
typedef u8 | u8vec1

## Detailed Description

OpenGL Mathematics (glm.g-truc.net)

Copyright (c) 2005 - 2015 G-Truc Creation (www.g-truc.net) Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

Restrictions: By making use of the Software for military purposes, you choose to make a Bunny unhappy.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

GLM_GTX_number_precision

Date
  2007-05-10 / 2011-06-07

Author
  Christophe Riccio

See also
  GLM Core (dependence)
  GLM_GTC_type_precision (dependence)
  GLM_GTC_quaternion (dependence)

Definition in file number_precision.hpp.